<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools">

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent">

        <androidx.appcompat.widget.Toolbar
            android:id="@+id/toolbar"
            android:layout_width="match_parent"
            android:layout_height="@dimen/margin_60"
            android:background="@color/colorPrimary"
            android:elevation="@dimen/margin_3"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            app:layout_scrollFlags="scroll|enterAlways"
            app:popupTheme="@style/ThemeOverlay.AppCompat.Light"
            app:theme="@style/ToolbarTheme">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:gravity="center"
                android:orientation="horizontal"
                android:weightSum="1">

                <TextView
                    android:id="@+id/toolbar_title"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="0.8"
                    android:gravity="center"
                    android:text="Transactions"
                    android:textColor="@color/white"
                    android:textSize="@dimen/header_18" />
            </LinearLayout>

        </androidx.appcompat.widget.Toolbar>

        <View
            android:id="@+id/prodname_view"
            android:layout_width="match_parent"
            android:layout_height="45dp"
            android:layout_marginStart="10dp"
            android:layout_marginTop="20dp"
            android:layout_marginEnd="10dp"
            android:background="@drawable/edittext_rectangle"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/toolbar"></View>

        <TextView
            android:id="@+id/prodtitle"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="4dp"
            android:text="Products Name: "
            android:textColor="@color/colorAccent"
            android:textSize="20dp"
            android:textStyle="bold"
            app:layout_constraintBottom_toBottomOf="@+id/prodname_view"
            app:layout_constraintStart_toStartOf="@+id/prodname_view"
            app:layout_constraintTop_toTopOf="@+id/prodname_view"></TextView>

        <TextView
            android:id="@+id/prodtitle_val"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginStart="4dp"
            android:layout_marginEnd="4dp"
            android:paddingStart="4dp"
            android:text="ConnectEazy"
            android:textColor="@color/text_black"
            android:textSize="20sp"
            app:layout_constraintBottom_toBottomOf="@+id/prodtitle"
            app:layout_constraintEnd_toEndOf="@+id/prodname_view"
            app:layout_constraintStart_toEndOf="@+id/prodtitle"
            app:layout_constraintTop_toTopOf="@+id/prodtitle"></TextView>

        <View
            android:id="@+id/qty_view"
            android:layout_width="match_parent"
            android:layout_height="45dp"
            android:layout_marginStart="10dp"
            android:layout_marginTop="20dp"
            android:layout_marginEnd="10dp"
            android:background="@drawable/edittext_rectangle"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/prodname_view"></View>

        <TextView
            android:id="@+id/qtytitle"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="4dp"
            android:text="Quantity: "
            android:textColor="@color/colorAccent"
            android:textSize="20dp"
            android:textStyle="bold"
            app:layout_constraintBottom_toBottomOf="@+id/qty_view"
            app:layout_constraintStart_toStartOf="@+id/qty_view"
            app:layout_constraintTop_toTopOf="@+id/qty_view"></TextView>

        <androidx.appcompat.widget.AppCompatEditText
            android:id="@+id/qty_val"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginStart="4dp"
            android:layout_marginEnd="4dp"
            android:paddingStart="4dp"
            android:hint="Enter Quantity"
            android:textColor="@color/text_black"
            android:textSize="20sp"
            android:inputType="number"
            app:layout_constraintBottom_toBottomOf="@+id/qtytitle"
            app:layout_constraintEnd_toEndOf="@+id/qty_view"
            app:layout_constraintStart_toEndOf="@+id/qtytitle"
            app:layout_constraintTop_toTopOf="@+id/qtytitle"></androidx.appcompat.widget.AppCompatEditText>

        <TextView
            android:id="@+id/qtynote"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:paddingStart="4dp"
            android:text="Quantity Should not exceed more than : "
            android:textColor="@color/end_red"
            android:textSize="13sp"
            app:layout_constraintStart_toStartOf="@+id/qty_view"
            app:layout_constraintTop_toBottomOf="@+id/qty_view"></TextView>

        <TextView
            android:id="@+id/maxqty"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:paddingStart="4dp"
            android:text="100 "
            android:textColor="@color/black"
            android:textSize="13sp"
            app:layout_constraintBottom_toBottomOf="@+id/qtynote"
            app:layout_constraintStart_toEndOf="@+id/qtynote"
            app:layout_constraintTop_toTopOf="@+id/qtynote"></TextView>

        <View
            android:id="@+id/user_view"
            android:layout_width="match_parent"
            android:layout_height="45dp"
            android:layout_marginStart="10dp"
            android:layout_marginTop="20dp"
            android:layout_marginEnd="10dp"
            android:background="@drawable/edittext_rectangle"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/maxqty"></View>

        <TextView
            android:id="@+id/assignedusertitle"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="4dp"
            android:text="Assigned User: "
            android:textColor="@color/colorAccent"
            android:textSize="20dp"
            android:textStyle="bold"
            app:layout_constraintBottom_toBottomOf="@+id/user_view"
            app:layout_constraintStart_toStartOf="@+id/user_view"
            app:layout_constraintTop_toTopOf="@+id/user_view"></TextView>

        <Spinner
            android:id="@+id/assiengeduser_val"
            android:layout_width="0dp"
            android:layout_height="45dp"
            android:textColor="@color/text_black"
            android:backgroundTint="@color/colorAccent"
            android:paddingStart="20dp"
            android:textSize="14sp"
            app:layout_constraintBottom_toBottomOf="@+id/assignedusertitle"
            app:layout_constraintEnd_toEndOf="@+id/user_view"
            app:layout_constraintStart_toEndOf="@+id/assignedusertitle"
            app:layout_constraintTop_toTopOf="@+id/assignedusertitle"></Spinner>

        <View
            android:id="@+id/amt_view"
            android:layout_width="match_parent"
            android:layout_height="45dp"
            android:layout_marginStart="10dp"
            android:layout_marginTop="20dp"
            android:layout_marginEnd="10dp"
            android:background="@drawable/edittext_rectangle"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/user_view"></View>

        <TextView
            android:id="@+id/amttitle"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="4dp"
            android:text="Amount: "
            android:textColor="@color/colorAccent"
            android:textSize="20dp"
            android:textStyle="bold"
            app:layout_constraintBottom_toBottomOf="@+id/amt_view"
            app:layout_constraintStart_toStartOf="@+id/amt_view"
            app:layout_constraintTop_toTopOf="@+id/amt_view"></TextView>

        <androidx.appcompat.widget.AppCompatEditText
            android:id="@+id/amttitle_val"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginStart="4dp"
            android:layout_marginEnd="4dp"
            android:paddingStart="4dp"
            android:hint="Enter Amount"
            android:textColor="@color/text_black"
            android:textSize="20sp"
            app:layout_constraintBottom_toBottomOf="@+id/amttitle"
            app:layout_constraintEnd_toEndOf="@+id/amt_view"
            app:layout_constraintStart_toEndOf="@+id/amttitle"
            app:layout_constraintTop_toTopOf="@+id/amttitle"></androidx.appcompat.widget.AppCompatEditText>

        <TextView
            android:id="@+id/amtnote"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:paddingStart="4dp"
            android:text="Amount Should not exceed more than : "
            android:textColor="@color/end_red"
            android:textSize="13sp"
            android:visibility="invisible"
            app:layout_constraintStart_toStartOf="@+id/amt_view"
            app:layout_constraintTop_toBottomOf="@+id/amt_view"></TextView>

        <TextView
            android:id="@+id/maxamt"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:paddingStart="4dp"
            android:text="1000 "
            android:textColor="@color/black"
            android:textSize="13sp"
            android:visibility="invisible"
            app:layout_constraintBottom_toBottomOf="@+id/amtnote"
            app:layout_constraintStart_toEndOf="@+id/amtnote"
            app:layout_constraintTop_toTopOf="@+id/amtnote"></TextView>


        <Button
            android:id="@+id/sendtrans"
            android:layout_width="@dimen/margin_150"
            android:layout_height="@dimen/margin_45"
            android:layout_marginTop="30dp"
            android:background="@color/colorAccent"
            android:text="Send"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/amtnote"></Button>

    </androidx.constraintlayout.widget.ConstraintLayout>
</layout>